Issue 23859

Summary: Pressing Tab with a selection should indent the paragraph(s)
Product: Writer Reporter: 3clips3 <eclipse>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description 3clips3 2003-12-25 11:29:49 UTC
Pressing tab while some text is selected should indent it. Now it deletes the
selection.
Comment 1 h.ilter 2004-01-05 15:35:32 UTC
Work as designed.
Comment 2 h.ilter 2004-03-18 15:49:13 UTC
.
Comment 3 aparan 2005-08-30 07:11:00 UTC
I believe as a much used method by word processor users, this holds good for
atleast an enhancement.  The method is:

If selection covers multiple paragraphs all of them should be indented by a tab.
 If already indented these should be advanced by another tab.  Pressing shift +
tab should decrease the indentation for already indented paragraphs [sometimes
this could result in going beyong the page margin].

If selection is within a single paragraph indent only that one.

reopening issue as an enhancement. changed summary accordingly.
Comment 4 h.ilter 2005-09-07 10:53:45 UTC
Ok, passed to requirements
Comment 5 ace_dent 2008-05-16 01:42:44 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 2+ years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html